version: '3.7'

volumes:
  home:

services:

  vite:
    build:
      context: .
      dockerfile: docker/Dockerfile
    user: "${USER_ID:-1000}:${GROUP_ID:-1000}"
    environment:
      - HOME=/home/node
    ports:
      - "${VITE_PORT}:${VITE_PORT}"
    volumes:
      - /etc/passwd:/etc/passwd:ro
      - /etc/group:/etc/group:ro
      - .:/app:rw
      - home:/home/node
    tty: true